Skip Menu |
 

This queue is for tickets about the HTML-WikiConverter CPAN distribution.

Report information
The Basics
Id: 97130
Status: open
Priority: 0/
Queue: HTML-WikiConverter

People
Owner: Nobody in particular
Requestors: jamesmontalvo3 [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: HTML::WikiConverter installation issues
Date: Thu, 10 Jul 2014 20:03:01 -0500
To: bug-HTML-WikiConverter [...] rt.cpan.org
From: James Montalvo <jamesmontalvo3 [...] gmail.com>
When attempting to install the HTML::WikiConverter module I get an error saying only 35 of 53 tests were performed. If I force install the module appears to work properly. I just got this issue on my Mac: Perl: v5.16.2 (built for darwin-thread-multi-2level) OS: Mac OS 10.9.3 (Mavericks) (Darwin Kernel Version 13.2.0 RELEASE_X86_64) About a year ago I believe I got this same issue on my Windows computer at work, but I don't have the details on that error because I assumed it was a Windows (Strawberry Perl) issue and moved on. Running "cpan HTML::WikiConverter" I get the following: ------------------------------------------------------- mycomputer:mydirectory myname$ cpan HTML::WikiConverter Reading '/Users/myname/.cpan/Metadata' Database was generated on Wed, 09 Jul 2014 16:29:02 GMT Running install for module 'HTML::WikiConverter' Running make for D/DI/DIBERRI/HTML-WikiConverter-0.68.tar.gz Fetching with LWP: http://mirror.switch.ch/ftp/mirror/CPAN/authors/id/D/DI/DIBERRI/HTML-WikiConverter-0.68.tar.gz Fetching with LWP: http://mirror.switch.ch/ftp/mirror/CPAN/authors/id/D/DI/DIBERRI/CHECKSUMS Checksum for /Users/myname/.cpan/sources/authors/id/D/DI/DIBERRI/HTML-WikiConverter-0.68.tar.gz ok CPAN.pm: Building D/DI/DIBERRI/HTML-WikiConverter-0.68.tar.gz Checking if your kit is complete... Looks good Warning: prerequisite CSS 1.07 not found. Writing Makefile for HTML::WikiConverter Writing MYMETA.yml and MYMETA.json Show quoted text
---- Unsatisfied dependencies detected during ---- ---- DIBERRI/HTML-WikiConverter-0.68.tar.gz ---- CSS [requires] Running make test Delayed until after prerequisites Running make install Delayed until after prerequisites Running install for module 'CSS' Running make for I/IA/IAMCAL/CSS-1.09.tar.gz Fetching with LWP: http://mirror.switch.ch/ftp/mirror/CPAN/authors/id/I/IA/IAMCAL/CSS-1.09.tar.gz Fetching with LWP: http://mirror.switch.ch/ftp/mirror/CPAN/authors/id/I/IA/IAMCAL/CHECKSUMS Checksum for /Users/myname/.cpan/sources/authors/id/I/IA/IAMCAL/CSS-1.09.tar.gz ok CPAN.pm: Building I/IA/IAMCAL/CSS-1.09.tar.gz Checking if your kit is complete... Looks good Writing Makefile for CSS Writing MYMETA.yml and MYMETA.json cp CSS.pm blib/lib/CSS.pm cp CSS/Value.pm blib/lib/CSS/Value.pm cp CSS/Parse/Compiled.pm blib/lib/CSS/Parse/Compiled.pm cp CSS/Property.pm blib/lib/CSS/Property.pm cp CSS/Style.pm blib/lib/CSS/Style.pm cp CSS/Parse/Heavy.pm blib/lib/CSS/Parse/Heavy.pm cp CSS/Parse/PRDGrammar.pm blib/lib/CSS/Parse/PRDGrammar.pm cp CSS/Selector.pm blib/lib/CSS/Selector.pm cp CSS/Parse/Lite.pm blib/lib/CSS/Parse/Lite.pm cp CSS/Adaptor/Debug.pm blib/lib/CSS/Adaptor/Debug.pm cp CSS/Parse.pm blib/lib/CSS/Parse.pm cp CSS/Adaptor/Pretty.pm blib/lib/CSS/Adaptor/Pretty.pm cp CSS/Adaptor.pm blib/lib/CSS/Adaptor.pm cp CSS/Parse/CompiledGrammar.pm blib/lib/CSS/Parse/CompiledGrammar.pm Manifying blib/man3/CSS.3pm Manifying blib/man3/CSS::Value.3pm Manifying blib/man3/CSS::Parse::Compiled.3pm Manifying blib/man3/CSS::Property.3pm Manifying blib/man3/CSS::Parse::PRDGrammar.3pm Manifying blib/man3/CSS::Parse::Heavy.3pm Manifying blib/man3/CSS::Style.3pm Manifying blib/man3/CSS::Parse::Lite.3pm Manifying blib/man3/CSS::Selector.3pm Manifying blib/man3/CSS::Adaptor::Debug.3pm Manifying blib/man3/CSS::Adaptor::Pretty.3pm Manifying blib/man3/CSS::Parse.3pm Manifying blib/man3/CSS::Adaptor.3pm IAMCAL/CSS-1.09.tar.gz /usr/bin/make -- OK 'YAML' not installed, will not store persistent state Running make test PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/01_basic.t ........... ok t/02_parse_lite.t ...... ok t/03_parse_heavy.t ..... ok t/04_parse_compiled.t .. ok t/05_search.t .......... ok t/06_adaptor_simple.t .. Hexadecimal number > 0xffffffff non-portable at (eval 5) line 1. t/06_adaptor_simple.t .. ok t/07_adaptor_pretty.t .. Hexadecimal number > 0xffffffff non-portable at (eval 5) line 1. t/07_adaptor_pretty.t .. ok t/08_adaptor_debug.t ... Hexadecimal number > 0xffffffff non-portable at (eval 5) line 1. t/08_adaptor_debug.t ... ok All tests successful. Files=8, Tests=42, 2 wallclock secs ( 0.07 usr 0.02 sys + 1.59 cusr 0.12 csys = 1.80 CPU) Result: PASS IAMCAL/CSS-1.09.tar.gz /usr/bin/make test -- OK Running make install Installing /Library/Perl/5.16/CSS.pm Installing /Library/Perl/5.16/CSS/Adaptor.pm Installing /Library/Perl/5.16/CSS/Parse.pm Installing /Library/Perl/5.16/CSS/Property.pm Installing /Library/Perl/5.16/CSS/Selector.pm Installing /Library/Perl/5.16/CSS/Style.pm Installing /Library/Perl/5.16/CSS/Value.pm Installing /Library/Perl/5.16/CSS/Adaptor/Debug.pm Installing /Library/Perl/5.16/CSS/Adaptor/Pretty.pm Installing /Library/Perl/5.16/CSS/Parse/Compiled.pm Installing /Library/Perl/5.16/CSS/Parse/CompiledGrammar.pm Installing /Library/Perl/5.16/CSS/Parse/Heavy.pm Installing /Library/Perl/5.16/CSS/Parse/Lite.pm Installing /Library/Perl/5.16/CSS/Parse/PRDGrammar.pm Installing /usr/local/share/man/man3/CSS.3pm Installing /usr/local/share/man/man3/CSS::Adaptor.3pm Installing /usr/local/share/man/man3/CSS::Adaptor::Debug.3pm Installing /usr/local/share/man/man3/CSS::Adaptor::Pretty.3pm Installing /usr/local/share/man/man3/CSS::Parse.3pm Installing /usr/local/share/man/man3/CSS::Parse::Compiled.3pm Installing /usr/local/share/man/man3/CSS::Parse::Heavy.3pm Installing /usr/local/share/man/man3/CSS::Parse::Lite.3pm Installing /usr/local/share/man/man3/CSS::Parse::PRDGrammar.3pm Installing /usr/local/share/man/man3/CSS::Property.3pm Installing /usr/local/share/man/man3/CSS::Selector.3pm Installing /usr/local/share/man/man3/CSS::Style.3pm Installing /usr/local/share/man/man3/CSS::Value.3pm Appending installation info to /Library/Perl/Updates/5.16.2/darwin-thread-multi-2level/perllocal.pod IAMCAL/CSS-1.09.tar.gz sudo /usr/bin/make install -- OK Running make for D/DI/DIBERRI/HTML-WikiConverter-0.68.tar.gz Has already been unwrapped into directory /Users/myname/.cpan/build/HTML-WikiConverter-0.68-fIw3fo CPAN.pm: Building D/DI/DIBERRI/HTML-WikiConverter-0.68.tar.gz cp lib/HTML/WikiConverter.pm blib/lib/HTML/WikiConverter.pm cp lib/HTML/WikiConverter/Normalizer.pm blib/lib/HTML/WikiConverter/Normalizer.pm cp lib/HTML/WikiConverter/Dialects.pod blib/lib/HTML/WikiConverter/Dialects.pod cp lib/HTML/WikiConverter/WebApp.pm blib/lib/HTML/WikiConverter/WebApp.pm cp bin/html2wiki blib/script/html2wiki /usr/bin/perl -MExtUtils::MY -e 'MY->fixin(shift)' -- blib/script/html2wiki Manifying blib/man1/html2wiki.1 Manifying blib/man3/HTML::WikiConverter.3pm Manifying blib/man3/HTML::WikiConverter::Normalizer.3pm Manifying blib/man3/HTML::WikiConverter::WebApp.3pm Manifying blib/man3/HTML::WikiConverter::Dialects.3pm DIBERRI/HTML-WikiConverter-0.68.tar.gz /usr/bin/make -- OK Running make test PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/00-load.t ........... 1/1 # Testing HTML::WikiConverter 0.68, Perl 5.016002, /usr/bin/perl t/00-load.t ........... ok t/01-normalizer.t ..... ok t/01-wikiconverter.t .. 1/53 Invalid or unexpected property ' class= ' in style 'this' at /Library/Perl/5.16/CSS.pm line 76. # Looks like you planned 53 tests but ran 35. # Looks like your test exited with 255 just after 35. t/01-wikiconverter.t .. Dubious, test returned 255 (wstat 65280, 0xff00) Failed 18/53 subtests t/boilerplate.t ....... ok t/pod-coverage.t ...... skipped: Test::Pod::Coverage 1.04 required for testing POD coverage t/pod.t ............... ok Test Summary Report ------------------- t/01-wikiconverter.t (Wstat: 65280 Tests: 35 Failed: 0) Non-zero exit status: 255 Parse errors: Bad plan. You planned 53 tests but ran 35. Files=6, Tests=50, 2 wallclock secs ( 0.05 usr 0.02 sys + 0.76 cusr 0.11 csys = 0.94 CPU) Result: FAIL Failed 1/6 test programs. 0/50 subtests failed. make: *** [test_dynamic] Error 255 DIBERRI/HTML-WikiConverter-0.68.tar.gz /usr/bin/make test -- NOT OK //hint// to see the cpan-testers results for installing this module, try: reports DIBERRI/HTML-WikiConverter-0.68.tar.gz Running make install make test had returned bad status, won't install without force
Download (untitled) / with headers
text/html 10.4k
From: mcgrath.martin [...] gmail.com
Download (untitled) / with headers
text/plain 248b
On Fri Jul 11 02:03:17 2014, jamesmontalvo3@gmail.com wrote: Show quoted text
> When attempting to install the HTML::WikiConverter module I get an > error
Please check existing tickets before opening a new one: https://rt.cpan.org/Public/Bug/Display.html?id=92554


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.